Subject: zram-tools: Without the init-script, zram-tools is difficult to use on Devuan

From: David Kuehling <[email-masked]>
Date: Wed, 22 Oct 2025 13:16:04 +0000

Package: zram-tools
Version: 0.3.7-1
Severity: normal
X-Debbugs-Cc: [email-masked]

The zram-tools package only has systemd integration, the zramswap init.d
script is missing, making this very tedious to setup and use.

There appears to be even a Debian bug for this issue [1], filed in 2020.
But as this does not affect most users of Debian, I guess we should not
wait on Debian maintainers here?

The Debian wiki page on zram [2] even links to the proposed init-script
from the bug report [3].

Maybe we should just include that script in Devuan.  I manually
installed it here and it works at least for me.

I rely on zram-swap for most laptops, as I don't want swapping to wear
out the SSDs.

cheers,

David

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=960524
[2] https://wiki.debian.org/ZRam
[3] https://bugs.debian.org/cgi-bin/bugreport.cgi?att=1;bug=960524;filename=zramswap;msg=10

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur)
Release:	6
Codename:	excalibur
Architecture: armv7l

Kernel: Linux 6.12.53-dk2 (SMP w/4 CPU threads)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages zram-tools depends on:
ii  bc  1.07.1-4

zram-tools recommends no packages.

zram-tools suggests no packages.

-- Configuration Files:
/etc/default/zramswap changed [not included]

-- no debconf information